LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTypeDescriptionEnumeration Interface Referencepublished

Defines an enumeration for type descriptions. More...

`import"XTypeDescriptionEnumeration.idl";`

Inheritance diagram for XTypeDescriptionEnumeration:

## Public Member Functions
XTypeDescription | nextTypeDescription () raises ( com::sun::star::container::NoSuchElementException )
| Returns the next element of the enumeration. More...
Public Member Functions inherited from XEnumeration
boolean | hasMoreElements ()
| tests whether this enumeration contains more elements. More...
any | nextElement () raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Defines an enumeration for type descriptions.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ nextTypeDescription()

XTypeDescription nextTypeDescription | ( |  | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Returns the next element of the enumeration.

Returns
  the next element of this enumeration.

Exceptions

  com::sun::star::container::NoSuchElementException | if no more elements exist.

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XTypeDescriptionEnumeration.idl